Subject: Re: [git pull] Please pull powerpc.git next branch

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 14 Aug 2014 16:18:55 +1000

On Thu, 2014-08-14 at 16:16 +1000, Benjamin Herrenschmidt wrote:
> Another interesting one in the "OMG" category is the series from Michael
> adding memory barriers to spin_is_locked(). That's also the result of many
> days of debugging to figure out why the semaphore code would occasionally
> crash in ways that made no sense. It ended up being some creative lock
> stacking that was defeated by the fact that our locks allow a load inside
> the locked section to be re-ordered with the load of the lock value itself
> (I'm still of two mind about whether to kill that once and for all by putting
> a heavier barrier back into our lock implementation...). The fixes come with
> a long explanation in the cset comments, feel free to read it if you feel
> like having a headache today.

Talking of which, I should have tagged that for stable... I'll forward them
separately when you've pulled.

Michael: If I miss this while I'm away next week, can you take care of it ?

Cheers,
Ben.